Puppet 4.x.x não precisa do Apache/Passenger.

Você não precisa instalar o Apache/Passenger em versões >= Puppet 4.X.X.
Era comum nas versões anteriores ao Puppet 4.X.X (exemplo Puppet 3.X.X) a instalação do Apache/Passenger para a melhora do desempenho do Puppet Master.

Referência:
https://docs.puppetlabs.com/puppetserver/2.2/puppetserver_vs_passenger.html

Puppet Server is intended to function as a drop-in replacement for the existing Apache/Passenger Puppet master stack. However, there are a handful of differences with Puppet Server due to changes in the underlying architecture.

Overall, Puppet Server performance is significantly better than a Puppet master running on the Apache/Passenger stack, but the initial startup is definitely slower.

Deixe uma resposta

O seu endereço de e-mail não será publicado. Campos obrigatórios são marcados com *